###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.7 $


__doc__ = 'Documentation string.'
__version__ = '0.1.0'

from Globals import HTMLFile
from Globals import Persistent
from Globals import MessageDialog
from Globals import default__class_init__
import Acquisition
import AccessControl.Role
import OFS.SimpleItem
import base_item
import string

manage_add_address_book_contact_email_form = HTMLFile('dtml/address_book_contact_email_add', globals())


def manage_add_address_book_contact_email(self, email, title='', REQUEST=None, RESPONSE=None):
    "Add an instance of the AddressBookContactEmail class"

    id = str(self.get_unique_id())

    self._setObject(id,	address_book_contact_email(id, email, title=title))

    if RESPONSE is not None:

	RESPONSE.redirect(self.absolute_url())

    else:

	return id


class address_book_contact_email(
	OFS.Folder.Folder,
	Persistent,
	Acquisition.Implicit,
	AccessControl.Role.RoleManager,
	base_item.base_item
	):
	"""Represents an email."""

	meta_type = 'AddressBookContactEmail'
	icon = 'misc_/AddressBook/dtmldoc.gif'

	_properties = (
		{'id':'email', 'type':'string'},
		{'id':'title', 'type':'string'},
	)

	__ac_permissions__ = (
		('View management screens',
			('manage_tabs', 'manage_main')
		),
		('Change Permissions',
			('manage_access',)
		),
	)


	def __init__(self, id, email, title=''):
		"Initialize the class instance"

		self.id = id
		self.email = email
		self.title = title


default__class_init__(address_book_contact_email)

