###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.0 $

import types

try:

	import csv

except ImportError:

	csv = None

description = """

This importer will accept address books in the Outlook express (.csv) format.

"""

help = """

To use this importer, export the contacts from the Outlook Express address book,
using the Export option in the file menu.

Select the export format textfile.

"""

id = "outlook_express"


def test():

	if csv is not None:

		return 1


class address_book_db:

	def __init__(self, file):
		"""Parses the data."""

		parser = csv.parser()
		parser.field_sep = ';'

		records = []

		lines = file.readlines()

		for line in lines:

			parsed_record = parser.parse(line)
			records.append(parsed_record)

		self.records = records


	def get_records(self):
		"""Returns all the database records."""

		return filter(None, self.records[1:])


	def get_descriptive_record(self):
		"""Returns the descriptive record."""

		return filter(None, self.records[0])


	def get_next_record(self):
		"""Returns the next database record."""

		try:

			return self.records.pop()

		except IndexError:

			return None


if __name__ == '__main__':

	f = open('contacts.csv')
	contacts = address_book_db(f)
	records = []

	while 1:

		record = contacts.get_next_record()

		if record is not None:

			records.append(record)

		else:

			break

